{id}: Get show by ID

API: tvmaze.com:tvmaze-api
Endpoint: /shows/{id}
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 210ms

Description

Retrieve complete metadata for a specific TV show using its TVmaze ID. This is the main endpoint for getting detailed show information including name, summary, genres, status, runtime, premiere date, network/streaming info, and external links. Use this when you already have a show ID (perhaps from search) and need full show details.

From spec: Retrieve detailed information about a specific TV show.

Usage Tips

- Use 'embed=episodes' query param to include full episode list - Use 'embed=cast' to include cast information - Returns 404 if show ID doesn't exist - The 'summary' field contains HTML formatted text

Parameters (2)

embed (array, query, optional)

Embed additional data (episodes, cast, etc.)

id (integer, path, required)

Show ID

Examples (7)

Get show by ID openapi-spec

Demonstrates calling /shows/{id}

curl 'https://api.tvmaze.com/shows/82'
import requests

resp = requests.get("https://api.tvmaze.com/shows/82")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/82");
const data = await resp.json();
Get show by maze ID doc_extracted

Demonstrates calling /shows/{id}

curl 'https://api.tvmaze.com/shows/161'
import requests

resp = requests.get("https://api.tvmaze.com/shows/161")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/161");
const data = await resp.json();
Get show with embedded episodes doc_extracted

Demonstrates calling /shows/{id}

curl 'https://api.tvmaze.com/shows/161?embed=episodes'
import requests

resp = requests.get(
    "https://api.tvmaze.com/shows/161",
    params={
        'embed': 'episodes',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}", embed="episodes")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/161?embed=episodes");
const data = await resp.json();
Get show with embedded cast doc_extracted

Demonstrates calling /shows/{id}

curl 'https://api.tvmaze.com/shows/161?embed=cast'
import requests

resp = requests.get(
    "https://api.tvmaze.com/shows/161",
    params={
        'embed': 'cast',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}", embed="cast")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/161?embed=cast");
const data = await resp.json();
Get show by ID doc_extracted

Demonstrates calling /shows/{id}

curl 'https://api.tvmaze.com/shows/1'
import requests

resp = requests.get("https://api.tvmaze.com/shows/1")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/1");
const data = await resp.json();
Get show by ID doc_extracted

Demonstrates calling /shows/{id}

curl 'https://api.tvmaze.com/shows/2473'
import requests

resp = requests.get("https://api.tvmaze.com/shows/2473")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/2473");
const data = await resp.json();
Get show openapi-spec
curl 'https://api.tvmaze.com/shows/169'
import requests

resp = requests.get("https://api.tvmaze.com/shows/169")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/169");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:03:45.358715 200 210ms
2026-04-16 04:10:26.289357 200 144ms
2026-04-16 03:47:49.134417 200 110ms
2026-04-16 03:38:35.116507 200 107ms
2026-04-16 02:33:08.492342 200 150ms
2026-04-16 02:30:36.173030 200 139ms
2026-04-16 02:09:29.395264 200 166ms
2026-04-16 00:52:36.303493 200 146ms
2026-04-15 04:01:17.044749 200 126ms
2026-04-15 03:11:30.701691 200 154ms
2026-04-15 02:56:51.046031 200 152ms
2026-04-15 02:31:57.838962 200 197ms
2026-04-15 02:30:56.601751 200 124ms
2026-04-15 02:25:16.885424 200 198ms
2026-04-15 00:54:54.153977 200 121ms
2026-04-14 03:34:58.739076 200 106ms
2026-04-14 03:30:23.196528 200 177ms
2026-04-14 02:43:59.058850 200 111ms
2026-04-14 02:36:31.605067 200 142ms
2026-04-14 01:07:39.740116 200 158ms
2026-04-14 00:36:49.369172 200 175ms
2026-04-14 00:14:14.703636 200 152ms
2026-04-12 16:26:22.816683 200 129ms
2026-04-12 15:51:57.758476 200 103ms
2026-04-12 15:25:27.924379 200 128ms
2026-04-12 15:17:34.319412 200 125ms
2026-04-12 13:29:06.170112 200 122ms
2026-04-12 12:49:24.848249 200 124ms
2026-04-12 12:30:00.520691 200 174ms
2026-04-10 04:35:05.062501 200 96ms
2026-04-10 03:32:11.850192 200 114ms
2026-04-10 02:20:08.694288 200 124ms
2026-04-10 02:18:09.532980 200 104ms
2026-04-10 02:08:02.612919 200 104ms
2026-04-10 01:27:25.282157 200 116ms
2026-04-10 00:09:37.972830 200 437ms
2026-04-09 03:26:00.124459 200 104ms
2026-04-09 03:10:07.930397 200 100ms
2026-04-09 02:41:50.762602 200 100ms
2026-04-09 02:35:44.891701 200 142ms
2026-04-09 02:12:50.871724 200 117ms
2026-04-09 02:01:33.379892 200 168ms
2026-04-09 01:09:15.796415 200 278ms
2026-03-23 10:41:24.011322 200 82ms
2026-03-23 10:29:23.553854 200 105ms
2026-03-23 10:14:32.403952 200 80ms
2026-03-23 09:29:48.373186 200 96ms
2026-03-23 09:22:53.909837 200 92ms
2026-03-23 09:15:38.645339 200 98ms
2026-03-23 09:00:18.968889 200 131ms